# Key Management

- [Create a key](https://docs.encedo.com/hem-api/reference/api-reference/key-management/create-a-key.md): This key management operation allows the creation of a new key and saving it inside the device's secure repository.
- [Derive a key](https://docs.encedo.com/hem-api/reference/api-reference/key-management/derive-a-key.md): This key management operation allows to derive a new key and save it inside the device's secure repository.
- [Import a key](https://docs.encedo.com/hem-api/reference/api-reference/key-management/import-a-key.md): This key management operation allows importing of a public key to the keys repository and treats it as a trusted key afterwards.
- [Update a key](https://docs.encedo.com/hem-api/reference/api-reference/key-management/update-a-key.md): This key management operation allows updating the key label or description fields.
- [Delete a key](https://docs.encedo.com/hem-api/reference/api-reference/key-management/delete-a-key.md): This key management operation allows the deletion of a key stored inside the device's secure repository.
- [Get a public key](https://docs.encedo.com/hem-api/reference/api-reference/key-management/get-a-public-key.md): This key management operation allows retrieving the public key of an asymmetric key stored inside the device's secure repository.
- [List the keys](https://docs.encedo.com/hem-api/reference/api-reference/key-management/list-the-keys.md): This key management operation allows the listing of the keys from the repository.
- [Search a key](https://docs.encedo.com/hem-api/reference/api-reference/key-management/search-a-key.md): This key management operation allows searching the repository for a key based on the key 'descr' field.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.encedo.com/hem-api/reference/api-reference/key-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
